Skip to main content
POST
Error

Authorizations

x-cdata-authtoken
string
header
required

A Sync user auth token. Generate one via POST /v2/users/generate-token.

Path Parameters

workspace_id
string
required

Workspace identifier.

Body

application/json
name
string
required
type
enum<string>
required

Transformation type (display name).

Available options:
SQL,
dbt Core,
dbt Cloud
destination_connection
object
required

References a connection by id or name. One of id or name is required.

queries
string[]
labels
string[]
pipeline_id
string
trigger
object
alerts
object
settings
object

Response

The requested resource.

id
string
workspace_id
string
name
string
type
enum<string>
Available options:
SQL,
dbt Core,
dbt Cloud
destination_connection
object

A lightweight reference to a related resource.

trigger
object
alerts
object
settings
object
permissions
object
labels
string[]
license_state
string
license_message
string
pipeline_id
string
last_run
object | null
created_at
string<date-time>
updated_at
string<date-time>